Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.jedasnew
Class JedasPlayer

    java.lang.Object
      mauda.jedasnew.JedasPlayer

    public class JedasPlayer

extends java.lang.Object

Relevance:
Since: 0.99rc1, version 1.11
Class status: Single instance

# `jedas.io.JedasPlayer`

This class is used for playback of recorded JEDAS animations (normally `*.jea` files). Usage is simple:

     [cmd line input:] java jedas.io.JedasPlayer [animation.jea]

Author:
  Martin Danielsson

Field Summary
`static boolean` | `DEBUGMODE` Relevance: Debugging Since: 0.99rc1 Toggle the debug mode.

Constructor Summary
`JedasPlayer(java.lang.String filename, boolean createGUIs)` Relevance: Lib programmer Since: 0.951 Creates a `JedasPlayer` which loads the JEDAS animation the file called `filename`.

Method Summary
`java.util.Vector` | `getCompPanels()`
`static JedasPlayer` | `getInstance()` Relevance: Lib programmer Since: 0.99rc1
`jedas.io.Jedas2Animation` | `getJedasAnimation()` Relevance: Lib programmer Since: 0.951
`jedas.io.PlayerScheduler` | `getPlayerScheduler()` Relevance: Lib programmer Since: 0.951
`void` | `jumpToTime(long timeStamp)` Deprecated. as of version 2.00, replaced by same method in `PlayerScheduler`.
`static void` | `main(java.lang.String[] args)` Relevance: Animation programmer Since: 0.951 The `main()` method of `JedasPlayer`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUGMODE

    public static boolean DEBUGMODE

  Relevance: Debugging
  Since: 0.99rc1
  Toggle the debug mode. Default is false.

Constructor Detail

### JedasPlayer

    public JedasPlayer(java.lang.String filename,
                       boolean createGUIs)

  Relevance: Lib programmer
  Since: 0.951
  Creates a `JedasPlayer` which loads the JEDAS animation the file called `filename`. This constructor is invoked from the `main()` method.
  If the parameter `createGUIs` is false, the Animation-CompPanels should be called by getCompPanels()!

  Parameters:
    `filename` - Jedas-Animation-Filename
    `createGUIs` - true if GUIs should be created, false means no GUI-Creation
  See Also:
    `main(String[])`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Relevance: Animation programmer
  Since: 0.951
  The `main()` method of `JedasPlayer`. This is called by the `java` interpreter. First argument is animation file.

### getInstance

    public static JedasPlayer getInstance()

  Relevance: Lib programmer
  Since: 0.99rc1

  Returns:
    a reference to the `JedasPlayer` instance, or `null` if such an instance does not exist.

### getJedasAnimation

    public jedas.io.Jedas2Animation getJedasAnimation()

  Relevance: Lib programmer
  Since: 0.951

  Returns:
    the `Jedas2Animation` that has been loaded by
  See Also:
    `Jedas2Animation`

### getPlayerScheduler

    public jedas.io.PlayerScheduler getPlayerScheduler()

  Relevance: Lib programmer
  Since: 0.951

  Returns:
    a reference to the `PlayerScheduler`
  See Also:
    `PlayerScheduler`

### getCompPanels

    public java.util.Vector getCompPanels()

### jumpToTime

    public void jumpToTime(long timeStamp)

  Deprecated. as of version 2.00, replaced by same method in `PlayerScheduler`.

  Relevance: Lib programmer
  Since: 0.951
  Invokes `PlayerScheduler.jumpToTime(long)`.

  See Also:
    `PlayerScheduler.jumpToTime(long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD